package com.ximai.mes.pro.domain.productionRequest;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 量产申请工序物料对象 pro_production_request_process_item
 *
 * @author chicheng.li
 * @date 2024-01-22
 */
public class ProProductionRequestProcessItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long productionRequestProcessItemId;

    /** 量产申请工序ID */
    @Excel(name = "量产申请工序ID")
    private Long productionRequestProcessId;

    /** 产品物料ID */
    @Excel(name = "产品物料ID")
    private Long itemId;

    private String itemName;

    /** 单位 */
    @Excel(name = "单位")
    private String unitOfMeasure;

    /** 组件数量 */
    @Excel(name = "组件数量")
    private Long quantity;

    public void setProductionRequestProcessItemId(Long productionRequestProcessItemId)
    {
        this.productionRequestProcessItemId = productionRequestProcessItemId;
    }

    public Long getProductionRequestProcessItemId()
    {
        return productionRequestProcessItemId;
    }
    public void setProductionRequestProcessId(Long productionRequestProcessId)
    {
        this.productionRequestProcessId = productionRequestProcessId;
    }

    public Long getProductionRequestProcessId()
    {
        return productionRequestProcessId;
    }
    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setUnitOfMeasure(String unitOfMeasure)
    {
        this.unitOfMeasure = unitOfMeasure;
    }

    public String getUnitOfMeasure()
    {
        return unitOfMeasure;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productionRequestProcessItemId", getProductionRequestProcessItemId())
            .append("productionRequestProcessId", getProductionRequestProcessId())
            .append("itemId", getItemId())
            .append("unitOfMeasure", getUnitOfMeasure())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
